### org.jfree.layouting.input.style.keys.box

# Class DisplayModel

- `java.lang.Object`
- - `org.jfree.layouting.input.style.keys.box.DisplayModel`

`public class DisplayModel`
`extends java.lang.Object`

The DisplayModel selects the algorithm used to layout an element. This is equal to selecting a LayoutManager in Java.

Creation-Date: 27.10.2005, 21:03:12

Author:
  Thomas Morgner

  ## Field Summary

  `static CSSConstant`

  `ABSOLUTE`
    A JFreeReport compatibility setting.

  `static CSSConstant`

  `BLOCK_INSIDE`
    Child elements are rendered as described for their 'display-role'.

  `static CSSConstant`

  `INLINE_INSIDE`
    If this is not an inline-level element, the effect is the same as for 'block-inside'.

  `static CSSConstant`

  `RUBY`
    Not yet used.

  `static CSSConstant`

  `TABLE`
    See the table module

## Field Details

### ABSOLUTE

    public static final CSSConstant ABSOLUTE

> A JFreeReport compatibility setting. Enables the absolute positioning mode.

### BLOCK_INSIDE

    public static final CSSConstant BLOCK_INSIDE

> Child elements are rendered as described for their 'display-role'. Sequences of inline-level elements and anonymous inline elements (ignoring elements with a display-role of 'none') are rendered as one or more line boxes. (How many line boxes depends on the line-breaking rules, see the Text module [[!CSS3-text].)

### INLINE_INSIDE

    public static final CSSConstant INLINE_INSIDE

> If this is not an inline-level element, the effect is the same as for 'block-inside'. Otherwise the element's inline-level children and text sequences that come before the first block-level child are rendered as additional inline boxes for the line boxes of the containing block. Ditto for the text sequences and inline-level children after the last block-level child. The other children and text sequences are rendered as for 'block-inside'.

### RUBY

    public static final CSSConstant RUBY

> Not yet used.

### TABLE

    public static final CSSConstant TABLE

> See the table module